#include <math.h>

void getRBConGradient (
  double young,
  double shear,
  double radw,
  double radh,
  double hL0,
  const double *undefMatTanRB,
  const double *undefMatNorRB,
  const double *undefRefTanRO,
  const double *undefRefNorRO,
  double rtx,
  const double *rotationAnglesRB,
  const double *x1,
  const double *x2,
  double thetaxRaw,
  double Sig,
  double *energyGradient)
{
  double t10;
  double t1007;
  double t101;
  double t1017;
  double t102;
  double t103;
  double t104;
  double t105;
  double t1055;
  double t1056;
  double t1057;
  double t106;
  double t1060;
  double t1063;
  double t1066;
  double t1069;
  double t107;
  double t1075;
  double t1081;
  double t1089;
  double t109;
  double t1092;
  double t1097;
  double t11;
  double t1100;
  double t111;
  double t1110;
  double t1113;
  double t1121;
  double t1127;
  double t113;
  double t1133;
  double t1139;
  double t114;
  double t1144;
  double t1149;
  double t1151;
  double t116;
  double t1161;
  double t1164;
  double t117;
  double t1174;
  double t1179;
  double t118;
  double t1193;
  double t1196;
  double t1199;
  double t12;
  double t120;
  double t1201;
  double t121;
  double t1211;
  double t1218;
  double t122;
  double t1233;
  double t1236;
  double t124;
  double t1246;
  double t125;
  double t1261;
  double t1264;
  double t127;
  double t1285;
  double t1288;
  double t13;
  double t1306;
  double t131;
  double t1311;
  double t1314;
  double t1323;
  double t1332;
  double t1335;
  double t134;
  double t1344;
  double t1357;
  double t137;
  double t14;
  double t1403;
  double t1404;
  double t1407;
  double t141;
  double t1410;
  double t1413;
  double t1416;
  double t1422;
  double t1428;
  double t1436;
  double t1439;
  double t1444;
  double t1447;
  double t145;
  double t1457;
  double t1460;
  double t1468;
  double t147;
  double t1474;
  double t148;
  double t1480;
  double t1486;
  double t149;
  double t1491;
  double t1496;
  double t1498;
  double t15;
  double t1508;
  double t151;
  double t1511;
  double t152;
  double t1521;
  double t1526;
  double t153;
  double t154;
  double t1540;
  double t1543;
  double t1546;
  double t1548;
  double t155;
  double t1558;
  double t156;
  double t1565;
  double t158;
  double t1580;
  double t1583;
  double t1593;
  double t1608;
  double t161;
  double t1611;
  double t163;
  double t1632;
  double t1635;
  double t1653;
  double t1658;
  double t1661;
  double t167;
  double t1670;
  double t1679;
  double t1682;
  double t1691;
  double t17;
  double t170;
  double t1704;
  double t175;
  double t1750;
  double t1751;
  double t1754;
  double t1757;
  double t1760;
  double t1763;
  double t1769;
  double t1775;
  double t1783;
  double t1786;
  double t1791;
  double t1794;
  double t18;
  double t1804;
  double t1807;
  double t1815;
  double t1821;
  double t1827;
  double t183;
  double t1833;
  double t1838;
  double t184;
  double t1843;
  double t1845;
  double t1855;
  double t1858;
  double t1868;
  double t187;
  double t1873;
  double t1887;
  double t1890;
  double t1893;
  double t1895;
  double t19;
  double t1905;
  double t1912;
  double t1927;
  double t193;
  double t1930;
  double t1940;
  double t1955;
  double t1958;
  double t1979;
  double t198;
  double t1982;
  double t20;
  double t2000;
  double t2005;
  double t2008;
  double t2017;
  double t2026;
  double t2029;
  double t2038;
  double t2051;
  double t2065;
  double t2076;
  double t208;
  double t2097;
  double t2098;
  double t21;
  double t2100;
  double t2101;
  double t2102;
  double t2104;
  double t2107;
  double t2110;
  double t2116;
  double t2122;
  double t2123;
  double t2130;
  double t2133;
  double t2138;
  double t214;
  double t2141;
  double t2143;
  double t2151;
  double t2154;
  double t2162;
  double t2164;
  double t2168;
  double t2172;
  double t2174;
  double t2180;
  double t2181;
  double t2185;
  double t2190;
  double t2192;
  double t22;
  double t2202;
  double t2205;
  double t2215;
  double t2220;
  double t2234;
  double t2237;
  double t224;
  double t2240;
  double t2242;
  double t2252;
  double t2259;
  double t226;
  double t2274;
  double t2277;
  double t2287;
  double t23;
  double t230;
  double t2302;
  double t2305;
  double t231;
  double t232;
  double t2326;
  double t2329;
  double t234;
  double t2347;
  double t235;
  double t2352;
  double t2355;
  double t2364;
  double t237;
  double t2373;
  double t2376;
  double t238;
  double t2385;
  double t239;
  double t2398;
  double t24;
  double t242;
  double t243;
  double t2446;
  double t2452;
  double t2458;
  double t246;
  double t2461;
  double t2465;
  double t247;
  double t2471;
  double t2475;
  double t248;
  double t2481;
  double t2485;
  double t2491;
  double t2499;
  double t25;
  double t2504;
  double t251;
  double t2516;
  double t252;
  double t2529;
  double t2541;
  double t2544;
  double t255;
  double t2555;
  double t2566;
  double t2584;
  double t2590;
  double t2596;
  double t26;
  double t261;
  double t2625;
  double t2627;
  double t2630;
  double t2637;
  double t2641;
  double t2643;
  double t2646;
  double t2649;
  double t265;
  double t2652;
  double t2654;
  double t2656;
  double t2662;
  double t2667;
  double t2673;
  double t2678;
  double t268;
  double t2684;
  double t2692;
  double t2697;
  double t27;
  double t2709;
  double t2722;
  double t2734;
  double t2737;
  double t2748;
  double t2759;
  double t276;
  double t277;
  double t2777;
  double t2783;
  double t2789;
  double t28;
  double t280;
  double t2819;
  double t282;
  double t2820;
  double t2823;
  double t2827;
  double t2829;
  double t2834;
  double t2836;
  double t284;
  double t2840;
  double t2845;
  double t2851;
  double t2863;
  double t2877;
  double t288;
  double t2889;
  double t2892;
  double t29;
  double t2903;
  double t291;
  double t2914;
  double t292;
  double t2932;
  double t2939;
  double t2946;
  double t2978;
  double t2980;
  double t2987;
  double t2995;
  double t3006;
  double t302;
  double t305;
  double t307;
  double t31;
  double t310;
  double t311;
  double t312;
  double t314;
  double t317;
  double t32;
  double t321;
  double t322;
  double t324;
  double t33;
  double t330;
  double t331;
  double t337;
  double t34;
  double t342;
  double t344;
  double t345;
  double t346;
  double t350;
  double t352;
  double t36;
  double t362;
  double t365;
  double t371;
  double t375;
  double t379;
  double t38;
  double t380;
  double t381;
  double t385;
  double t389;
  double t39;
  double t397;
  double t4;
  double t400;
  double t404;
  double t405;
  double t407;
  double t41;
  double t417;
  double t423;
  double t426;
  double t434;
  double t436;
  double t44;
  double t443;
  double t446;
  double t451;
  double t458;
  double t464;
  double t475;
  double t478;
  double t481;
  double t483;
  double t484;
  double t485;
  double t496;
  double t499;
  double t5;
  double t509;
  double t511;
  double t512;
  double t513;
  double t514;
  double t516;
  double t52;
  double t524;
  double t525;
  double t526;
  double t529;
  double t536;
  double t537;
  double t539;
  double t54;
  double t542;
  double t547;
  double t548;
  double t55;
  double t552;
  double t555;
  double t56;
  double t560;
  double t564;
  double t565;
  double t569;
  double t57;
  double t572;
  double t580;
  double t59;
  double t592;
  double t597;
  double t600;
  double t609;
  double t615;
  double t619;
  double t62;
  double t622;
  double t63;
  double t632;
  double t633;
  double t639;
  double t645;
  double t649;
  double t65;
  double t655;
  double t67;
  double t674;
  double t68;
  double t70;
  double t705;
  double t706;
  double t707;
  double t71;
  double t710;
  double t713;
  double t716;
  double t719;
  double t72;
  double t725;
  double t73;
  double t731;
  double t739;
  double t74;
  double t742;
  double t747;
  double t750;
  double t76;
  double t760;
  double t763;
  double t77;
  double t771;
  double t777;
  double t78;
  double t783;
  double t789;
  double t794;
  double t799;
  double t80;
  double t801;
  double t81;
  double t811;
  double t814;
  double t824;
  double t829;
  double t83;
  double t843;
  double t846;
  double t849;
  double t851;
  double t861;
  double t868;
  double t87;
  double t883;
  double t886;
  double t89;
  double t896;
  double t9;
  double t90;
  double t911;
  double t914;
  double t92;
  double t93;
  double t935;
  double t938;
  double t95;
  double t956;
  double t961;
  double t964;
  double t973;
  double t98;
  double t982;
  double t985;
  double t994;
  t4 = radw * radw;
  t5 = radh * radh;
  t9 = thetaxRaw * Sig;
  t10 = x2[0];
  t13 = x1[0];
  t11 = t10 - 0.1e1 * t13;
  t12 = t11 * t11;
  t24 = x2[1];
  t27 = x1[1];
  t14 = t24 - 0.1e1 * t27;
  t15 = t14 * t14;
  t33 = x2[2];
  t34 = x1[2];
  t17 = t33 - 0.1e1 * t34;
  t18 = t17 * t17;
  t19 = t12 + t15 + t18;
  t20 = sqrt(t19);
  t21 = 0.1e1 / t20;
  t22 = t21 * t14;
  t36 = undefRefTanRO[0];
  t23 = t36 * t21;
  t25 = 0.1e1 * t23 * t11;
  t39 = undefRefTanRO[1];
  t26 = t39 * t21;
  t28 = 0.1e1 * t26 * t14;
  t41 = undefRefTanRO[2];
  t29 = t41 * t21;
  t31 = 0.1e1 * t29 * t17;
  t32 = t25 + t28 + t31;
  t38 = 0.1e1 * t26 * t17 - 0.1e1 * t29 * t14;
  t44 = 0.1e1 * t29 * t11 - 0.1e1 * t23 * t17;
  t52 = 0.1e1 * t23 * t14 - 0.1e1 * t26 * t11;
  t63 = undefRefNorRO[0];
  t65 = undefRefNorRO[1];
  t68 = undefRefNorRO[2];
  t54 = t38 * t63 + t44 * t65 + t52 * t68;
  t55 = 0.1e1 + t25 + t28 + t31;
  t56 = 0.1e1 / t55;
  t57 = t54 * t56;
  t59 = t32 * t68 + t38 * t65 - t44 * t63 + t57 * t52;
  t62 = t21 * t17;
  t67 = t32 * t65 + t52 * t63 - t38 * t68 + t57 * t44;
  t70 = 0.1e1 * t22 * t59 - 0.1e1 * t62 * t67;
  t71 = cos(rtx);
  t101 = rotationAnglesRB[2];
  t72 = cos(t101);
  t103 = rotationAnglesRB[1];
  t73 = cos(t103);
  t74 = t72 * t73;
  t76 = sin(t103);
  t77 = t72 * t76;
  t106 = rotationAnglesRB[0];
  t78 = sin(t106);
  t80 = sin(t101);
  t81 = cos(t106);
  t83 = t77 * t78 - t80 * t81;
  t87 = t77 * t81 + t80 * t78;
  t118 = undefMatTanRB[0];
  t120 = undefMatTanRB[1];
  t124 = undefMatTanRB[2];
  t89 = t74 * t118 + t83 * t120 + t87 * t124;
  t90 = t89 * t21;
  t92 = 0.1e1 * t90 * t11;
  t93 = t80 * t73;
  t95 = t80 * t76;
  t98 = t95 * t78 + t72 * t81;
  t102 = t95 * t81 - t72 * t78;
  t104 = t93 * t118 + t98 * t120 + t102 * t124;
  t105 = t104 * t21;
  t107 = 0.1e1 * t105 * t14;
  t109 = t73 * t78;
  t111 = t73 * t81;
  t113 = -t76 * t118 + t109 * t120 + t111 * t124;
  t114 = t113 * t21;
  t116 = 0.1e1 * t114 * t17;
  t117 = t92 + t107 + t116;
  t145 = undefMatNorRB[0];
  t149 = undefMatNorRB[1];
  t155 = undefMatNorRB[2];
  t121 = t74 * t145 + t83 * t149 + t87 * t155;
  t122 = t117 * t121;
  t125 = t90 * t17;
  t127 = 0.1e1 * t114 * t11 - 0.1e1 * t125;
  t131 = -t76 * t145 + t109 * t149 + t111 * t155;
  t134 = 0.1e1 * t90 * t14;
  t137 = t134 - 0.1e1 * t105 * t11;
  t141 = t93 * t145 + t98 * t149 + t102 * t155;
  t147 = 0.1e1 * t105 * t17 - 0.1e1 * t114 * t14;
  t148 = t147 * t121;
  t151 = t148 + t141 * t127 + t137 * t131;
  t152 = 0.1e1 + t92 + t107 + t116;
  t153 = 0.1e1 / t152;
  t154 = t151 * t153;
  t156 = t122 + t127 * t131 - t137 * t141 + t154 * t147;
  t158 = sin(rtx);
  t161 = t127 * t121;
  t163 = t117 * t131 + t147 * t141 - t161 + t154 * t137;
  t167 = t137 * t121;
  t170 = t117 * t141 + t167 - t147 * t131 + t154 * t127;
  t175 = t21 * t11;
  t183 = 0.1e1 - t71;
  t184 = (0.1e1 * t175 * t156 + 0.1e1 * t22 * t170 + 0.1e1 * t62 * t163) * t183;
  t187 = t71 * t156 + t158 * (0.1e1 * t22 * t163 - 0.1e1 * t62 * t170) + 0.1e1 * t184 * t175;
  t193 = t32 * t63 + t44 * t68 - t52 * t65 + t57 * t38;
  t198 = 0.1e1 * t62 * t193 - 0.1e1 * t175 * t59;
  t208 = t71 * t170 + t158 * (0.1e1 * t62 * t156 - 0.1e1 * t175 * t163) + 0.1e1 * t184 * t22;
  t214 = 0.1e1 * t175 * t67 - 0.1e1 * t22 * t193;
  t224 = t71 * t163 + t158 * (0.1e1 * t175 * t170 - 0.1e1 * t22 * t156) + 0.1e1 * t184 * t62;
  t226 = t70 * t187 + t198 * t208 + t224 * t214;
  t230 = t193 * t187 + t67 * t208 + t59 * t224;
  t231 = atan2(t226, t230);
  t232 = t9 + rtx - t231;
  t234 = t21 / t19;
  t235 = t234 * t14;
  t237 = 0.2e1 * t13;
  t238 = -0.2e1 * t10 + t237;
  t239 = t59 * t238;
  t242 = t36 * t234;
  t243 = t11 * t238;
  t246 = 0.1e1 * t23;
  t247 = t39 * t234;
  t248 = t14 * t238;
  t251 = t41 * t234;
  t252 = t17 * t238;
  t255 = -0.5000000000e0 * t242 * t243 - t246 - 0.5000000000e0 * t247 * t248 - 0.5000000000e0 * t251 * t252;
  t261 = -0.5000000000e0 * t247 * t252 + 0.5000000000e0 * t251 * t248;
  t265 = 0.1e1 * t29;
  t268 = -0.5000000000e0 * t251 * t243 - t265 + 0.5000000000e0 * t242 * t252;
  t276 = 0.1e1 * t26;
  t277 = -0.5000000000e0 * t242 * t248 + 0.5000000000e0 * t247 * t243 + t276;
  t280 = (t261 * t63 + t268 * t65 + t277 * t68) * t56;
  t282 = t55 * t55;
  t284 = t54 / t282;
  t312 = t284 * t52;
  t288 = t255 * t68 + t261 * t65 - t268 * t63 + t280 * t52 - t312 * t255 + t57 * t277;
  t291 = t234 * t17;
  t292 = t67 * t238;
  t322 = t284 * t44;
  t302 = t255 * t65 + t277 * t63 - t261 * t68 + t280 * t44 - t322 * t255 + t57 * t268;
  t305 = -0.5000000000e0 * t235 * t239 + 0.1e1 * t22 * t288 + 0.5000000000e0 * t291 * t292 - 0.1e1 * t62 * t302;
  t307 = t89 * t234;
  t310 = 0.1e1 * t90;
  t311 = t104 * t234;
  t314 = t113 * t234;
  t317 = -0.5000000000e0 * t307 * t243 - t310 - 0.5000000000e0 * t311 * t248 - 0.5000000000e0 * t314 * t252;
  t321 = 0.1e1 * t114;
  t324 = -0.5000000000e0 * t314 * t243 - t321 + 0.5000000000e0 * t307 * t252;
  t330 = 0.1e1 * t105;
  t331 = -0.5000000000e0 * t307 * t248 + 0.5000000000e0 * t311 * t243 + t330;
  t337 = -0.5000000000e0 * t311 * t252 + 0.5000000000e0 * t314 * t248;
  t342 = (t337 * t121 + t324 * t141 + t331 * t131) * t153;
  t344 = t152 * t152;
  t345 = 0.1e1 / t344;
  t346 = t151 * t345;
  t371 = t346 * t147;
  t350 = t317 * t121 + t324 * t131 - t331 * t141 + t342 * t147 - t371 * t317 + t154 * t337;
  t352 = t163 * t238;
  t379 = t346 * t137;
  t362 = t317 * t131 + t337 * t141 - t324 * t121 + t342 * t137 - t379 * t317 + t154 * t331;
  t365 = t170 * t238;
  t389 = t346 * t127;
  t375 = t317 * t141 + t331 * t121 - t337 * t131 + t342 * t127 - t389 * t317 + t154 * t324;
  t380 = t234 * t11;
  t381 = t156 * t238;
  t385 = 0.1e1 * t21 * t156;
  t397 = (-0.5000000000e0 * t380 * t381 - t385 + 0.1e1 * t175 * t350 - 0.5000000000e0 * t235 * t365 + 0.1e1 * t22 * t375 - 0.5000000000e0 * t291 * t352 + 0.1e1 * t62 * t362) * t183;
  t400 = t380 * t238;
  t404 = 0.1e1 * t184 * t21;
  t405 = t71 * t350 + t158 * (-0.5000000000e0 * t235 * t352 + 0.1e1 * t22 * t362 + 0.5000000000e0 * t291 * t365 - 0.1e1 * t62 * t375) + 0.1e1 * t397 * t175 - 0.5000000000e0 * t184 * t400 - t404;
  t407 = t193 * t238;
  t434 = t284 * t38;
  t417 = t255 * t63 + t268 * t68 - t277 * t65 + t280 * t38 - t434 * t255 + t57 * t261;
  t423 = 0.1e1 * t21 * t59;
  t426 = -0.5000000000e0 * t291 * t407 + 0.1e1 * t62 * t417 + 0.5000000000e0 * t380 * t239 + t423 - 0.1e1 * t175 * t288;
  t436 = 0.1e1 * t21 * t163;
  t443 = t235 * t238;
  t446 = t71 * t375 + t158 * (-0.5000000000e0 * t291 * t381 + 0.1e1 * t62 * t350 + 0.5000000000e0 * t380 * t352 + t436 - 0.1e1 * t175 * t362) + 0.1e1 * t397 * t22 - 0.5000000000e0 * t184 * t443;
  t451 = 0.1e1 * t21 * t67;
  t458 = -0.5000000000e0 * t380 * t292 - t451 + 0.1e1 * t175 * t302 + 0.5000000000e0 * t235 * t407 - 0.1e1 * t22 * t417;
  t464 = 0.1e1 * t21 * t170;
  t475 = t291 * t238;
  t478 = t71 * t362 + t158 * (-0.5000000000e0 * t380 * t365 - t464 + 0.1e1 * t175 * t375 + 0.5000000000e0 * t235 * t381 - 0.1e1 * t22 * t350) + 0.1e1 * t397 * t62 - 0.5000000000e0 * t184 * t475;
  t481 = 0.1e1 / t230;
  t483 = t230 * t230;
  t484 = 0.1e1 / t483;
  t485 = t226 * t484;
  t496 = t226 * t226;
  t499 = 0.1e1 / (0.1e1 + t496 * t484);
  t509 = pow(0.5e0 * radw + 0.5e0 * radh, 0.2e1);
  t511 = hL0 * hL0;
  t512 = 0.1e1 / t511;
  t513 = t153 * t147;
  t514 = cos(t9);
  t516 = sin(t9);
  t524 = 0.1e1 * t175 * t193 + 0.1e1 * t22 * t67 + 0.1e1 * t62 * t59;
  t525 = 0.1e1 - t514;
  t526 = t524 * t525;
  t529 = t514 * t59 + t516 * t214 + 0.1e1 * t526 * t62;
  t536 = t514 * t67 + t516 * t198 + 0.1e1 * t526 * t22;
  t537 = t62 * t536;
  t539 = 0.1e1 * t22 * t529 - 0.1e1 * t537;
  t542 = t153 * t127;
  t547 = t514 * t193 + t516 * t70 + 0.1e1 * t526 * t175;
  t548 = t62 * t547;
  t552 = 0.1e1 * t548 - 0.1e1 * t175 * t529;
  t555 = t153 * t137;
  t560 = 0.1e1 * t175 * t536 - 0.1e1 * t22 * t547;
  t564 = t512 * (0.2e1 * t513 * t539 + 0.2e1 * t542 * t552 + 0.2e1 * t555 * t560);
  t565 = t345 * t147;
  t569 = t153 * t337;
  t572 = t529 * t238;
  t580 = 0.1e1 * t21 * t193;
  t592 = (-0.5000000000e0 * t380 * t407 - t580 + 0.1e1 * t175 * t417 - 0.5000000000e0 * t235 * t292 + 0.1e1 * t22 * t302 - 0.5000000000e0 * t291 * t239 + 0.1e1 * t62 * t288) * t525;
  t597 = t514 * t288 + t516 * t458 + 0.1e1 * t592 * t62 - 0.5000000000e0 * t526 * t475;
  t600 = t536 * t238;
  t609 = t514 * t302 + t516 * t426 + 0.1e1 * t592 * t22 - 0.5000000000e0 * t526 * t443;
  t615 = t345 * t127;
  t619 = t153 * t324;
  t622 = t547 * t238;
  t632 = 0.1e1 * t526 * t21;
  t633 = t514 * t417 + t516 * t305 + 0.1e1 * t592 * t175 - 0.5000000000e0 * t526 * t400 - t632;
  t639 = 0.1e1 * t21 * t529;
  t645 = t345 * t137;
  t649 = t153 * t331;
  t655 = 0.1e1 * t21 * t536;
  t674 = t512 * (-0.2e1 * t513 * t547 - 0.2e1 * t542 * t536 - 0.2e1 * t555 * t529);
  t705 = 0.2e1 * t27;
  t706 = -0.2e1 * t24 + t705;
  t707 = t59 * t706;
  t710 = t11 * t706;
  t713 = t14 * t706;
  t716 = t17 * t706;
  t719 = -0.5000000000e0 * t242 * t710 - 0.5000000000e0 * t247 * t713 - t276 - 0.5000000000e0 * t251 * t716;
  t725 = -0.5000000000e0 * t247 * t716 + 0.5000000000e0 * t251 * t713 + t265;
  t731 = -0.5000000000e0 * t251 * t710 + 0.5000000000e0 * t242 * t716;
  t739 = -0.5000000000e0 * t242 * t713 - t246 + 0.5000000000e0 * t247 * t710;
  t742 = (t725 * t63 + t731 * t65 + t739 * t68) * t56;
  t747 = t719 * t68 + t725 * t65 - t731 * t63 + t742 * t52 - t312 * t719 + t57 * t739;
  t750 = t67 * t706;
  t760 = t719 * t65 + t739 * t63 - t725 * t68 + t742 * t44 - t322 * t719 + t57 * t731;
  t763 = -0.5000000000e0 * t235 * t707 - t423 + 0.1e1 * t22 * t747 + 0.5000000000e0 * t291 * t750 - 0.1e1 * t62 * t760;
  t771 = -0.5000000000e0 * t307 * t710 - 0.5000000000e0 * t311 * t713 - t330 - 0.5000000000e0 * t314 * t716;
  t777 = -0.5000000000e0 * t314 * t710 + 0.5000000000e0 * t307 * t716;
  t783 = -0.5000000000e0 * t307 * t713 - t310 + 0.5000000000e0 * t311 * t710;
  t789 = -0.5000000000e0 * t311 * t716 + 0.5000000000e0 * t314 * t713 + t321;
  t794 = (t789 * t121 + t777 * t141 + t783 * t131) * t153;
  t799 = t771 * t121 + t777 * t131 - t783 * t141 + t794 * t147 - t371 * t771 + t154 * t789;
  t801 = t163 * t706;
  t811 = t771 * t131 + t789 * t141 - t777 * t121 + t794 * t137 - t379 * t771 + t154 * t783;
  t814 = t170 * t706;
  t824 = t771 * t141 + t783 * t121 - t789 * t131 + t794 * t127 - t389 * t771 + t154 * t777;
  t829 = t156 * t706;
  t843 = (-0.5000000000e0 * t380 * t829 + 0.1e1 * t175 * t799 - 0.5000000000e0 * t235 * t814 - t464 + 0.1e1 * t22 * t824 - 0.5000000000e0 * t291 * t801 + 0.1e1 * t62 * t811) * t183;
  t846 = t380 * t706;
  t849 = t71 * t799 + t158 * (-0.5000000000e0 * t235 * t801 - t436 + 0.1e1 * t22 * t811 + 0.5000000000e0 * t291 * t814 - 0.1e1 * t62 * t824) + 0.1e1 * t843 * t175 - 0.5000000000e0 * t184 * t846;
  t851 = t193 * t706;
  t861 = t719 * t63 + t731 * t68 - t739 * t65 + t742 * t38 - t434 * t719 + t57 * t725;
  t868 = -0.5000000000e0 * t291 * t851 + 0.1e1 * t62 * t861 + 0.5000000000e0 * t380 * t707 - 0.1e1 * t175 * t747;
  t883 = t235 * t706;
  t886 = t71 * t824 + t158 * (-0.5000000000e0 * t291 * t829 + 0.1e1 * t62 * t799 + 0.5000000000e0 * t380 * t801 - 0.1e1 * t175 * t811) + 0.1e1 * t843 * t22 - 0.5000000000e0 * t184 * t883 - t404;
  t896 = -0.5000000000e0 * t380 * t750 + 0.1e1 * t175 * t760 + 0.5000000000e0 * t235 * t851 + t580 - 0.1e1 * t22 * t861;
  t911 = t291 * t706;
  t914 = t71 * t811 + t158 * (-0.5000000000e0 * t380 * t814 + 0.1e1 * t175 * t824 + 0.5000000000e0 * t235 * t829 + t385 - 0.1e1 * t22 * t799) + 0.1e1 * t843 * t62 - 0.5000000000e0 * t184 * t911;
  t935 = t153 * t789;
  t938 = t529 * t706;
  t956 = (-0.5000000000e0 * t380 * t851 + 0.1e1 * t175 * t861 - 0.5000000000e0 * t235 * t750 - t451 + 0.1e1 * t22 * t760 - 0.5000000000e0 * t291 * t707 + 0.1e1 * t62 * t747) * t525;
  t961 = t514 * t747 + t516 * t896 + 0.1e1 * t956 * t62 - 0.5000000000e0 * t526 * t911;
  t964 = t536 * t706;
  t973 = t514 * t760 + t516 * t868 + 0.1e1 * t956 * t22 - 0.5000000000e0 * t526 * t883 - t632;
  t982 = t153 * t777;
  t985 = t547 * t706;
  t994 = t514 * t861 + t516 * t763 + 0.1e1 * t956 * t175 - 0.5000000000e0 * t526 * t846;
  t1007 = t153 * t783;
  t1017 = 0.1e1 * t21 * t547;
  t1055 = 0.2e1 * t34;
  t1056 = -0.2e1 * t33 + t1055;
  t1057 = t59 * t1056;
  t1060 = t11 * t1056;
  t1063 = t14 * t1056;
  t1066 = t17 * t1056;
  t1069 = -0.5000000000e0 * t242 * t1060 - 0.5000000000e0 * t247 * t1063 - 0.5000000000e0 * t251 * t1066 - t265;
  t1075 = -0.5000000000e0 * t247 * t1066 - t276 + 0.5000000000e0 * t251 * t1063;
  t1081 = -0.5000000000e0 * t251 * t1060 + 0.5000000000e0 * t242 * t1066 + t246;
  t1089 = -0.5000000000e0 * t242 * t1063 + 0.5000000000e0 * t247 * t1060;
  t1092 = (t1075 * t63 + t1081 * t65 + t1089 * t68) * t56;
  t1097 = t1069 * t68 + t1075 * t65 - t1081 * t63 + t1092 * t52 - t312 * t1069 + t57 * t1089;
  t1100 = t67 * t1056;
  t1110 = t1069 * t65 + t1089 * t63 - t1075 * t68 + t1092 * t44 - t322 * t1069 + t57 * t1081;
  t1113 = -0.5000000000e0 * t235 * t1057 + 0.1e1 * t22 * t1097 + 0.5000000000e0 * t291 * t1100 + t451 - 0.1e1 * t62 * t1110;
  t1121 = -0.5000000000e0 * t307 * t1060 - 0.5000000000e0 * t311 * t1063 - 0.5000000000e0 * t314 * t1066 - t321;
  t1127 = -0.5000000000e0 * t314 * t1060 + 0.5000000000e0 * t307 * t1066 + t310;
  t1133 = -0.5000000000e0 * t307 * t1063 + 0.5000000000e0 * t311 * t1060;
  t1139 = -0.5000000000e0 * t311 * t1066 - t330 + 0.5000000000e0 * t314 * t1063;
  t1144 = (t1139 * t121 + t141 * t1127 + t1133 * t131) * t153;
  t1149 = t1121 * t121 + t1127 * t131 - t1133 * t141 + t1144 * t147 - t371 * t1121 + t154 * t1139;
  t1151 = t163 * t1056;
  t1161 = t1121 * t131 + t141 * t1139 - t1127 * t121 + t1144 * t137 - t379 * t1121 + t154 * t1133;
  t1164 = t170 * t1056;
  t1174 = t1121 * t141 + t1133 * t121 - t1139 * t131 + t1144 * t127 - t389 * t1121 + t154 * t1127;
  t1179 = t156 * t1056;
  t1193 = (-0.5000000000e0 * t380 * t1179 + 0.1e1 * t175 * t1149 - 0.5000000000e0 * t235 * t1164 + 0.1e1 * t22 * t1174 - 0.5000000000e0 * t291 * t1151 - t436 + 0.1e1 * t62 * t1161) * t183;
  t1196 = t380 * t1056;
  t1199 = t71 * t1149 + t158 * (-0.5000000000e0 * t235 * t1151 + 0.1e1 * t22 * t1161 + 0.5000000000e0 * t291 * t1164 + t464 - 0.1e1 * t62 * t1174) + 0.1e1 * t1193 * t175 - 0.5000000000e0 * t184 * t1196;
  t1201 = t193 * t1056;
  t1211 = t1069 * t63 + t1081 * t68 - t1089 * t65 + t1092 * t38 - t434 * t1069 + t57 * t1075;
  t1218 = -0.5000000000e0 * t291 * t1201 - t580 + 0.1e1 * t62 * t1211 + 0.5000000000e0 * t380 * t1057 - 0.1e1 * t175 * t1097;
  t1233 = t235 * t1056;
  t1236 = t71 * t1174 + t158 * (-0.5000000000e0 * t291 * t1179 - t385 + 0.1e1 * t62 * t1149 + 0.5000000000e0 * t380 * t1151 - 0.1e1 * t175 * t1161) + 0.1e1 * t1193 * t22 - 0.5000000000e0 * t184 * t1233;
  t1246 = -0.5000000000e0 * t380 * t1100 + 0.1e1 * t175 * t1110 + 0.5000000000e0 * t235 * t1201 - 0.1e1 * t22 * t1211;
  t1261 = t291 * t1056;
  t1264 = t71 * t1161 + t158 * (-0.5000000000e0 * t380 * t1164 + 0.1e1 * t175 * t1174 + 0.5000000000e0 * t235 * t1179 - 0.1e1 * t22 * t1149) + 0.1e1 * t1193 * t62 - 0.5000000000e0 * t184 * t1261 - t404;
  t1285 = t153 * t1139;
  t1288 = t529 * t1056;
  t1306 = (-0.5000000000e0 * t380 * t1201 + 0.1e1 * t175 * t1211 - 0.5000000000e0 * t235 * t1100 + 0.1e1 * t22 * t1110 - 0.5000000000e0 * t291 * t1057 - t423 + 0.1e1 * t62 * t1097) * t525;
  t1311 = t514 * t1097 + t516 * t1246 + 0.1e1 * t1306 * t62 - 0.5000000000e0 * t526 * t1261 - t632;
  t1314 = t536 * t1056;
  t1323 = t514 * t1110 + t516 * t1218 + 0.1e1 * t1306 * t22 - 0.5000000000e0 * t526 * t1233;
  t1332 = t153 * t1127;
  t1335 = t547 * t1056;
  t1344 = t514 * t1211 + t516 * t1113 + 0.1e1 * t1306 * t175 - 0.5000000000e0 * t526 * t1196;
  t1357 = t153 * t1133;
  t1403 = 0.2e1 * t10 - t237;
  t1404 = t59 * t1403;
  t1407 = t11 * t1403;
  t1410 = t1403 * t14;
  t1413 = t17 * t1403;
  t1416 = -0.5000000000e0 * t242 * t1407 + t246 - 0.5000000000e0 * t247 * t1410 - 0.5000000000e0 * t251 * t1413;
  t1422 = -0.5000000000e0 * t247 * t1413 + 0.5000000000e0 * t251 * t1410;
  t1428 = -0.5000000000e0 * t251 * t1407 + t265 + 0.5000000000e0 * t242 * t1413;
  t1436 = -0.5000000000e0 * t242 * t1410 + 0.5000000000e0 * t247 * t1407 - t276;
  t1439 = (t1422 * t63 + t1428 * t65 + t1436 * t68) * t56;
  t1444 = t1416 * t68 + t1422 * t65 - t1428 * t63 + t1439 * t52 - t312 * t1416 + t57 * t1436;
  t1447 = t67 * t1403;
  t1457 = t1416 * t65 + t1436 * t63 - t1422 * t68 + t1439 * t44 - t322 * t1416 + t57 * t1428;
  t1460 = -0.5000000000e0 * t235 * t1404 + 0.1e1 * t22 * t1444 + 0.5000000000e0 * t291 * t1447 - 0.1e1 * t62 * t1457;
  t1468 = -0.5000000000e0 * t307 * t1407 + t310 - 0.5000000000e0 * t311 * t1410 - 0.5000000000e0 * t314 * t1413;
  t1474 = -0.5000000000e0 * t314 * t1407 + t321 + 0.5000000000e0 * t307 * t1413;
  t1480 = -0.5000000000e0 * t307 * t1410 + 0.5000000000e0 * t311 * t1407 - t330;
  t1486 = -0.5000000000e0 * t311 * t1413 + 0.5000000000e0 * t314 * t1410;
  t1491 = (t1486 * t121 + t1474 * t141 + t1480 * t131) * t153;
  t1496 = t1468 * t121 + t1474 * t131 - t1480 * t141 + t1491 * t147 - t371 * t1468 + t154 * t1486;
  t1498 = t163 * t1403;
  t1508 = t1468 * t131 + t1486 * t141 - t1474 * t121 + t1491 * t137 - t379 * t1468 + t154 * t1480;
  t1511 = t170 * t1403;
  t1521 = t1468 * t141 + t1480 * t121 - t1486 * t131 + t1491 * t127 - t389 * t1468 + t154 * t1474;
  t1526 = t156 * t1403;
  t1540 = (-0.5000000000e0 * t380 * t1526 + t385 + 0.1e1 * t175 * t1496 - 0.5000000000e0 * t235 * t1511 + 0.1e1 * t22 * t1521 - 0.5000000000e0 * t291 * t1498 + 0.1e1 * t62 * t1508) * t183;
  t1543 = t380 * t1403;
  t1546 = t71 * t1496 + t158 * (-0.5000000000e0 * t235 * t1498 + 0.1e1 * t22 * t1508 + 0.5000000000e0 * t291 * t1511 - 0.1e1 * t62 * t1521) + 0.1e1 * t1540 * t175 - 0.5000000000e0 * t184 * t1543 + t404;
  t1548 = t193 * t1403;
  t1558 = t1416 * t63 + t1428 * t68 - t1436 * t65 + t1439 * t38 - t434 * t1416 + t57 * t1422;
  t1565 = -0.5000000000e0 * t291 * t1548 + 0.1e1 * t62 * t1558 + 0.5000000000e0 * t380 * t1404 - t423 - 0.1e1 * t175 * t1444;
  t1580 = t235 * t1403;
  t1583 = t71 * t1521 + t158 * (-0.5000000000e0 * t291 * t1526 + 0.1e1 * t62 * t1496 + 0.5000000000e0 * t380 * t1498 - t436 - 0.1e1 * t175 * t1508) + 0.1e1 * t1540 * t22 - 0.5000000000e0 * t184 * t1580;
  t1593 = -0.5000000000e0 * t380 * t1447 + t451 + 0.1e1 * t175 * t1457 + 0.5000000000e0 * t235 * t1548 - 0.1e1 * t22 * t1558;
  t1608 = t291 * t1403;
  t1611 = t71 * t1508 + t158 * (-0.5000000000e0 * t380 * t1511 + t464 + 0.1e1 * t175 * t1521 + 0.5000000000e0 * t235 * t1526 - 0.1e1 * t22 * t1496) + 0.1e1 * t1540 * t62 - 0.5000000000e0 * t184 * t1608;
  t1632 = t153 * t1486;
  t1635 = t529 * t1403;
  t1653 = (-0.5000000000e0 * t380 * t1548 + t580 + 0.1e1 * t175 * t1558 - 0.5000000000e0 * t235 * t1447 + 0.1e1 * t22 * t1457 - 0.5000000000e0 * t291 * t1404 + 0.1e1 * t62 * t1444) * t525;
  t1658 = t514 * t1444 + t516 * t1593 + 0.1e1 * t1653 * t62 - 0.5000000000e0 * t526 * t1608;
  t1661 = t536 * t1403;
  t1670 = t514 * t1457 + t516 * t1565 + 0.1e1 * t1653 * t22 - 0.5000000000e0 * t526 * t1580;
  t1679 = t153 * t1474;
  t1682 = t547 * t1403;
  t1691 = t514 * t1558 + t516 * t1460 + 0.1e1 * t1653 * t175 - 0.5000000000e0 * t526 * t1543 + t632;
  t1704 = t153 * t1480;
  t1750 = 0.2e1 * t24 - t705;
  t1751 = t59 * t1750;
  t1754 = t11 * t1750;
  t1757 = t14 * t1750;
  t1760 = t17 * t1750;
  t1763 = -0.5000000000e0 * t242 * t1754 - 0.5000000000e0 * t247 * t1757 + t276 - 0.5000000000e0 * t251 * t1760;
  t1769 = -0.5000000000e0 * t247 * t1760 + 0.5000000000e0 * t251 * t1757 - t265;
  t1775 = -0.5000000000e0 * t251 * t1754 + 0.5000000000e0 * t242 * t1760;
  t1783 = -0.5000000000e0 * t242 * t1757 + t246 + 0.5000000000e0 * t247 * t1754;
  t1786 = (t1769 * t63 + t1775 * t65 + t1783 * t68) * t56;
  t1791 = t1763 * t68 + t1769 * t65 - t1775 * t63 + t1786 * t52 - t312 * t1763 + t57 * t1783;
  t1794 = t67 * t1750;
  t1804 = t1763 * t65 + t1783 * t63 - t1769 * t68 + t1786 * t44 - t322 * t1763 + t57 * t1775;
  t1807 = -0.5000000000e0 * t235 * t1751 + t423 + 0.1e1 * t22 * t1791 + 0.5000000000e0 * t291 * t1794 - 0.1e1 * t62 * t1804;
  t1815 = -0.5000000000e0 * t307 * t1754 - 0.5000000000e0 * t311 * t1757 + t330 - 0.5000000000e0 * t314 * t1760;
  t1821 = -0.5000000000e0 * t314 * t1754 + 0.5000000000e0 * t307 * t1760;
  t1827 = -0.5000000000e0 * t307 * t1757 + t310 + 0.5000000000e0 * t311 * t1754;
  t1833 = -0.5000000000e0 * t311 * t1760 + 0.5000000000e0 * t314 * t1757 - t321;
  t1838 = (t1833 * t121 + t1821 * t141 + t1827 * t131) * t153;
  t1843 = t1815 * t121 + t1821 * t131 - t1827 * t141 + t1838 * t147 - t371 * t1815 + t154 * t1833;
  t1845 = t163 * t1750;
  t1855 = t1815 * t131 + t1833 * t141 - t1821 * t121 + t1838 * t137 - t379 * t1815 + t154 * t1827;
  t1858 = t170 * t1750;
  t1868 = t1815 * t141 + t1827 * t121 - t1833 * t131 + t1838 * t127 - t389 * t1815 + t154 * t1821;
  t1873 = t156 * t1750;
  t1887 = (-0.5000000000e0 * t380 * t1873 + 0.1e1 * t175 * t1843 - 0.5000000000e0 * t235 * t1858 + t464 + 0.1e1 * t22 * t1868 - 0.5000000000e0 * t291 * t1845 + 0.1e1 * t62 * t1855) * t183;
  t1890 = t380 * t1750;
  t1893 = t71 * t1843 + t158 * (-0.5000000000e0 * t235 * t1845 + t436 + 0.1e1 * t22 * t1855 + 0.5000000000e0 * t291 * t1858 - 0.1e1 * t62 * t1868) + 0.1e1 * t1887 * t175 - 0.5000000000e0 * t184 * t1890;
  t1895 = t193 * t1750;
  t1905 = t1763 * t63 + t1775 * t68 - t1783 * t65 + t1786 * t38 - t434 * t1763 + t57 * t1769;
  t1912 = -0.5000000000e0 * t291 * t1895 + 0.1e1 * t62 * t1905 + 0.5000000000e0 * t380 * t1751 - 0.1e1 * t175 * t1791;
  t1927 = t235 * t1750;
  t1930 = t71 * t1868 + t158 * (-0.5000000000e0 * t291 * t1873 + 0.1e1 * t62 * t1843 + 0.5000000000e0 * t380 * t1845 - 0.1e1 * t175 * t1855) + 0.1e1 * t1887 * t22 - 0.5000000000e0 * t184 * t1927 + t404;
  t1940 = -0.5000000000e0 * t380 * t1794 + 0.1e1 * t175 * t1804 + 0.5000000000e0 * t235 * t1895 - t580 - 0.1e1 * t22 * t1905;
  t1955 = t291 * t1750;
  t1958 = t71 * t1855 + t158 * (-0.5000000000e0 * t380 * t1858 + 0.1e1 * t175 * t1868 + 0.5000000000e0 * t235 * t1873 - t385 - 0.1e1 * t22 * t1843) + 0.1e1 * t1887 * t62 - 0.5000000000e0 * t184 * t1955;
  t1979 = t153 * t1833;
  t1982 = t529 * t1750;
  t2000 = (-0.5000000000e0 * t380 * t1895 + 0.1e1 * t175 * t1905 - 0.5000000000e0 * t235 * t1794 + t451 + 0.1e1 * t22 * t1804 - 0.5000000000e0 * t291 * t1751 + 0.1e1 * t62 * t1791) * t525;
  t2005 = t514 * t1791 + t516 * t1940 + 0.1e1 * t2000 * t62 - 0.5000000000e0 * t526 * t1955;
  t2008 = t536 * t1750;
  t2017 = t514 * t1804 + t516 * t1912 + 0.1e1 * t2000 * t22 - 0.5000000000e0 * t1927 * t526 + t632;
  t2026 = t153 * t1821;
  t2029 = t547 * t1750;
  t2038 = t514 * t1905 + t516 * t1807 + 0.1e1 * t2000 * t175 - 0.5000000000e0 * t526 * t1890;
  t2051 = t153 * t1827;
  t2097 = 0.2e1 * t33 - t1055;
  t2098 = t59 * t2097;
  t2101 = t11 * t2097;
  t2104 = t14 * t2097;
  t2107 = t17 * t2097;
  t2110 = -0.5000000000e0 * t242 * t2101 - 0.5000000000e0 * t247 * t2104 - 0.5000000000e0 * t251 * t2107 + t265;
  t2116 = -0.5000000000e0 * t247 * t2107 + t276 + 0.5000000000e0 * t251 * t2104;
  t2122 = -0.5000000000e0 * t251 * t2101 + 0.5000000000e0 * t242 * t2107 - t246;
  t2130 = -0.5000000000e0 * t242 * t2104 + 0.5000000000e0 * t247 * t2101;
  t2133 = (t2116 * t63 + t2122 * t65 + t2130 * t68) * t56;
  t2138 = t2110 * t68 + t2116 * t65 - t2122 * t63 + t2133 * t52 - t312 * t2110 + t57 * t2130;
  t2141 = t67 * t2097;
  t2151 = t2110 * t65 + t2130 * t63 - t2116 * t68 + t2133 * t44 - t322 * t2110 + t57 * t2122;
  t2154 = -0.5000000000e0 * t235 * t2098 + 0.1e1 * t22 * t2138 + 0.5000000000e0 * t291 * t2141 - t451 - 0.1e1 * t62 * t2151;
  t2162 = -0.5000000000e0 * t307 * t2101 - 0.5000000000e0 * t311 * t2104 - 0.5000000000e0 * t314 * t2107 + t321;
  t2168 = -0.5000000000e0 * t314 * t2101 + 0.5000000000e0 * t307 * t2107 - t310;
  t2174 = -0.5000000000e0 * t307 * t2104 + 0.5000000000e0 * t311 * t2101;
  t2180 = -0.5000000000e0 * t311 * t2107 + t330 + 0.5000000000e0 * t314 * t2104;
  t2185 = (t2180 * t121 + t2168 * t141 + t2174 * t131) * t153;
  t2190 = t2162 * t121 + t2168 * t131 - t2174 * t141 + t2185 * t147 - t371 * t2162 + t154 * t2180;
  t2192 = t163 * t2097;
  t2202 = t2162 * t131 + t2180 * t141 - t2168 * t121 + t2185 * t137 - t379 * t2162 + t154 * t2174;
  t2205 = t170 * t2097;
  t2215 = t2162 * t141 + t2174 * t121 - t2180 * t131 + t2185 * t127 - t389 * t2162 + t154 * t2168;
  t2220 = t156 * t2097;
  t2234 = (-0.5000000000e0 * t380 * t2220 + 0.1e1 * t175 * t2190 - 0.5000000000e0 * t235 * t2205 + 0.1e1 * t22 * t2215 - 0.5000000000e0 * t291 * t2192 + t436 + 0.1e1 * t62 * t2202) * t183;
  t2237 = t380 * t2097;
  t2240 = t71 * t2190 + t158 * (-0.5000000000e0 * t235 * t2192 + 0.1e1 * t22 * t2202 + 0.5000000000e0 * t291 * t2205 - t464 - 0.1e1 * t62 * t2215) + 0.1e1 * t2234 * t175 - 0.5000000000e0 * t184 * t2237;
  t2242 = t193 * t2097;
  t2252 = t2110 * t63 + t2122 * t68 - t2130 * t65 + t2133 * t38 - t434 * t2110 + t57 * t2116;
  t2259 = -0.5000000000e0 * t291 * t2242 + t580 + 0.1e1 * t62 * t2252 + 0.5000000000e0 * t380 * t2098 - 0.1e1 * t175 * t2138;
  t2274 = t235 * t2097;
  t2277 = t71 * t2215 + t158 * (-0.5000000000e0 * t291 * t2220 + t385 + 0.1e1 * t62 * t2190 + 0.5000000000e0 * t380 * t2192 - 0.1e1 * t175 * t2202) + 0.1e1 * t2234 * t22 - 0.5000000000e0 * t184 * t2274;
  t2287 = -0.5000000000e0 * t380 * t2141 + 0.1e1 * t175 * t2151 + 0.5000000000e0 * t235 * t2242 - 0.1e1 * t22 * t2252;
  t2302 = t291 * t2097;
  t2305 = t71 * t2202 + t158 * (-0.5000000000e0 * t380 * t2205 + 0.1e1 * t175 * t2215 + 0.5000000000e0 * t235 * t2220 - 0.1e1 * t22 * t2190) + 0.1e1 * t2234 * t62 - 0.5000000000e0 * t184 * t2302 + t404;
  t2326 = t153 * t2180;
  t2329 = t529 * t2097;
  t2347 = (-0.5000000000e0 * t380 * t2242 + 0.1e1 * t175 * t2252 - 0.5000000000e0 * t235 * t2141 + 0.1e1 * t22 * t2151 - 0.5000000000e0 * t291 * t2098 + t423 + 0.1e1 * t62 * t2138) * t525;
  t2352 = t514 * t2138 + t516 * t2287 + 0.1e1 * t2347 * t62 - 0.5000000000e0 * t526 * t2302 + t632;
  t2355 = t536 * t2097;
  t2364 = t514 * t2151 + t516 * t2259 + 0.1e1 * t2347 * t22 - 0.5000000000e0 * t526 * t2274;
  t2373 = t153 * t2168;
  t2376 = t547 * t2097;
  t2385 = t514 * t2252 + t516 * t2154 + 0.1e1 * t2347 * t175 - 0.5000000000e0 * t2237 * t526;
  t2398 = t153 * t2174;
  t2446 = (t87 * t120 - t83 * t124) * t21;
  t2452 = (t102 * t120 - t98 * t124) * t21;
  t2458 = (t111 * t120 - t109 * t124) * t21;
  t2461 = 0.1e1 * t2446 * t11 + 0.1e1 * t2452 * t14 + 0.1e1 * t2458 * t17;
  t2465 = t87 * t149 - t83 * t155;
  t2471 = 0.1e1 * t2458 * t11 - 0.1e1 * t2446 * t17;
  t2475 = t111 * t149 - t109 * t155;
  t2481 = 0.1e1 * t2446 * t14 - 0.1e1 * t2452 * t11;
  t2485 = t102 * t149 - t98 * t155;
  t2491 = 0.1e1 * t2452 * t17 - 0.1e1 * t2458 * t14;
  t2499 = (t2491 * t121 + t147 * t2465 + t2471 * t141 + t127 * t2485 + t2481 * t131 + t137 * t2475) * t153;
  t2504 = t2461 * t121 + t117 * t2465 + t2471 * t131 + t127 * t2475 - t2481 * t141 - t137 * t2485 + t2499 * t147 - t371 * t2461 + t154 * t2491;
  t2516 = t2461 * t131 + t117 * t2475 + t2491 * t141 + t147 * t2485 - t2471 * t121 - t127 * t2465 + t2499 * t137 - t379 * t2461 + t154 * t2481;
  t2529 = t2461 * t141 + t117 * t2485 + t2481 * t121 + t137 * t2465 - t2491 * t131 - t147 * t2475 + t2499 * t127 - t389 * t2461 + t154 * t2471;
  t2541 = (0.1e1 * t175 * t2504 + 0.1e1 * t22 * t2529 + 0.1e1 * t62 * t2516) * t183;
  t2544 = t71 * t2504 + t158 * (0.1e1 * t22 * t2516 - 0.1e1 * t62 * t2529) + 0.1e1 * t2541 * t175;
  t2555 = t71 * t2529 + t158 * (0.1e1 * t62 * t2504 - 0.1e1 * t175 * t2516) + 0.1e1 * t2541 * t22;
  t2566 = t71 * t2516 + t158 * (0.1e1 * t175 * t2529 - 0.1e1 * t22 * t2504) + 0.1e1 * t2541 * t62;
  t2584 = t153 * t2491;
  t2590 = t153 * t2471;
  t2596 = t153 * t2481;
  t2625 = t78 * t120;
  t2627 = t81 * t124;
  t2630 = (-t77 * t118 + t74 * t2625 + t74 * t2627) * t21;
  t2637 = (-t95 * t118 + t93 * t2625 + t93 * t2627) * t21;
  t2641 = t76 * t78;
  t2643 = t76 * t81;
  t2646 = (-t73 * t118 - t2641 * t120 - t2643 * t124) * t21;
  t2649 = 0.1e1 * t2630 * t11 + 0.1e1 * t2637 * t14 + 0.1e1 * t2646 * t17;
  t2652 = t78 * t149;
  t2654 = t81 * t155;
  t2656 = -t77 * t145 + t74 * t2652 + t74 * t2654;
  t2662 = 0.1e1 * t2646 * t11 - 0.1e1 * t2630 * t17;
  t2667 = -t73 * t145 - t2641 * t149 - t2643 * t155;
  t2673 = 0.1e1 * t2630 * t14 - 0.1e1 * t2637 * t11;
  t2678 = -t95 * t145 + t93 * t2652 + t93 * t2654;
  t2684 = 0.1e1 * t2637 * t17 - 0.1e1 * t2646 * t14;
  t2692 = (t2684 * t121 + t147 * t2656 + t2662 * t141 + t127 * t2678 + t2673 * t131 + t137 * t2667) * t153;
  t2697 = t2649 * t121 + t117 * t2656 + t2662 * t131 + t127 * t2667 - t2673 * t141 - t137 * t2678 + t2692 * t147 - t371 * t2649 + t154 * t2684;
  t2709 = t2649 * t131 + t117 * t2667 + t2684 * t141 + t147 * t2678 - t2662 * t121 - t127 * t2656 + t2692 * t137 - t379 * t2649 + t154 * t2673;
  t2722 = t2649 * t141 + t117 * t2678 + t2673 * t121 + t137 * t2656 - t2684 * t131 - t147 * t2667 + t2692 * t127 - t389 * t2649 + t154 * t2662;
  t2734 = (0.1e1 * t175 * t2697 + 0.1e1 * t22 * t2722 + 0.1e1 * t62 * t2709) * t183;
  t2737 = t71 * t2697 + t158 * (0.1e1 * t22 * t2709 - 0.1e1 * t62 * t2722) + 0.1e1 * t2734 * t175;
  t2748 = t71 * t2722 + t158 * (0.1e1 * t62 * t2697 - 0.1e1 * t175 * t2709) + 0.1e1 * t2734 * t22;
  t2759 = t71 * t2709 + t158 * (0.1e1 * t175 * t2722 - 0.1e1 * t22 * t2697) + 0.1e1 * t2734 * t62;
  t2777 = t153 * t2684;
  t2783 = t153 * t2662;
  t2789 = t153 * t2673;
  t2819 = -t104;
  t2820 = t2819 * t21;
  t2823 = 0.1e1 * t2820 * t11 + t134;
  t2827 = -t141;
  t2829 = t131 * t17;
  t2834 = 0.1e1 * t2820 * t14 - t92;
  t2836 = t17 * t121;
  t2840 = t17 * t141;
  t2845 = (0.1e1 * t90 * t2836 + t147 * t2827 - 0.1e1 * t2820 * t2840 + t161 + t2834 * t131) * t153;
  t2851 = t2823 * t121 + t117 * t2827 - 0.1e1 * t2820 * t2829 - t2834 * t141 - t167 + t2845 * t147 - t371 * t2823 + 0.1e1 * t154 * t125;
  t2863 = t2823 * t131 + 0.1e1 * t90 * t2840 + t148 + 0.1e1 * t2820 * t2836 - t127 * t2827 + t2845 * t137 - t379 * t2823 + t154 * t2834;
  t2877 = t2823 * t141 + t122 + t2834 * t121 + t137 * t2827 - 0.1e1 * t90 * t2829 + t2845 * t127 - t389 * t2823 - 0.1e1 * t154 * t2820 * t17;
  t2889 = (0.1e1 * t175 * t2851 + 0.1e1 * t22 * t2877 + 0.1e1 * t62 * t2863) * t183;
  t2892 = t71 * t2851 + t158 * (0.1e1 * t22 * t2863 - 0.1e1 * t62 * t2877) + 0.1e1 * t2889 * t175;
  t2903 = t71 * t2877 + t158 * (0.1e1 * t62 * t2851 - 0.1e1 * t175 * t2863) + 0.1e1 * t2889 * t22;
  t2914 = t71 * t2863 + t158 * (0.1e1 * t175 * t2877 - 0.1e1 * t22 * t2851) + 0.1e1 * t2889 * t62;
  t2932 = t153 * t89;
  t2939 = t153 * t2819;
  t2946 = t153 * t2834;
  t2978 = t516 * Sig;
  t2980 = t514 * Sig;
  t2065 = t524 * t516 * Sig * t21;
  t2987 = -t2978 * t59 + t2980 * t214 + 0.1e1 * t2065 * t17;
  t2995 = -t2978 * t67 + t2980 * t198 + 0.1e1 * t2065 * t14;
  t3006 = -t2978 * t193 + t2980 * t70 + 0.1e1 * t2065 * t11;
  t2076 = shear * radw * radh * M_PI * (t4 + t5) / hL0;
  t2100 = young * radw * radh * M_PI * t509;
  t2102 = t565 * t539;
  t2123 = t615 * t552;
  t2143 = t645 * t560;
  t2164 = t565 * t547;
  t2172 = t615 * t536;
  t2181 = t645 * t529;
  energyGradient[0] = -0.2500000000e0 * t2076 * t232 * ((t305 * t187 + t70 * t405 + t426 * t208 + t198 * t446 + t458 * t224 + t214 * t478) * t481 - t485 * (t417 * t187 + t193 * t405 + t302 * t208 + t67 * t446 + t288 * t224 + t59 * t478)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t317 + 0.2e1 * t569 * t539 + 0.2e1 * t513 * (-0.5000000000e0 * t235 * t572 + 0.1e1 * t22 * t597 + 0.5000000000e0 * t291 * t600 - 0.1e1 * t62 * t609) - 0.2e1 * t2123 * t317 + 0.2e1 * t619 * t552 + 0.2e1 * t542 * (-0.5000000000e0 * t291 * t622 + 0.1e1 * t62 * t633 + 0.5000000000e0 * t380 * t572 + t639 - 0.1e1 * t175 * t597) - 0.2e1 * t2143 * t317 + 0.2e1 * t649 * t560 + 0.2e1 * t555 * (-0.5000000000e0 * t380 * t600 - t655 + 0.1e1 * t175 * t609 + 0.5000000000e0 * t235 * t622 - 0.1e1 * t22 * t633)) + t674 * (0.2e1 * t2164 * t317 - 0.2e1 * t569 * t547 - 0.2e1 * t513 * t633 + 0.2e1 * t2172 * t317 - 0.2e1 * t619 * t536 - 0.2e1 * t542 * t609 + 0.2e1 * t2181 * t317 - 0.2e1 * t649 * t529 - 0.2e1 * t555 * t597));
  energyGradient[1] = -0.2500000000e0 * t2076 * t232 * ((t763 * t187 + t70 * t849 + t868 * t208 + t198 * t886 + t896 * t224 + t214 * t914) * t481 - t485 * (t861 * t187 + t193 * t849 + t760 * t208 + t67 * t886 + t747 * t224 + t59 * t914)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t771 + 0.2e1 * t935 * t539 + 0.2e1 * t513 * (-0.5000000000e0 * t235 * t938 - t639 + 0.1e1 * t22 * t961 + 0.5000000000e0 * t291 * t964 - 0.1e1 * t62 * t973) - 0.2e1 * t2123 * t771 + 0.2e1 * t982 * t552 + 0.2e1 * t542 * (-0.5000000000e0 * t291 * t985 + 0.1e1 * t62 * t994 + 0.5000000000e0 * t380 * t938 - 0.1e1 * t175 * t961) - 0.2e1 * t2143 * t771 + 0.2e1 * t1007 * t560 + 0.2e1 * t555 * (-0.5000000000e0 * t380 * t964 + 0.1e1 * t175 * t973 + 0.5000000000e0 * t235 * t985 + t1017 - 0.1e1 * t22 * t994)) + t674 * (0.2e1 * t2164 * t771 - 0.2e1 * t935 * t547 - 0.2e1 * t513 * t994 + 0.2e1 * t2172 * t771 - 0.2e1 * t982 * t536 - 0.2e1 * t542 * t973 + 0.2e1 * t2181 * t771 - 0.2e1 * t1007 * t529 - 0.2e1 * t555 * t961));
  energyGradient[2] = -0.2500000000e0 * t2076 * t232 * ((t1113 * t187 + t70 * t1199 + t1218 * t208 + t198 * t1236 + t1246 * t224 + t214 * t1264) * t481 - t485 * (t1211 * t187 + t193 * t1199 + t1110 * t208 + t67 * t1236 + t1097 * t224 + t59 * t1264)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t1121 + 0.2e1 * t1285 * t539 + 0.2e1 * t513 * (-0.5000000000e0 * t235 * t1288 + 0.1e1 * t22 * t1311 + 0.5000000000e0 * t291 * t1314 + t655 - 0.1e1 * t62 * t1323) - 0.2e1 * t2123 * t1121 + 0.2e1 * t1332 * t552 + 0.2e1 * t542 * (-0.5000000000e0 * t291 * t1335 - t1017 + 0.1e1 * t62 * t1344 + 0.5000000000e0 * t380 * t1288 - 0.1e1 * t175 * t1311) - 0.2e1 * t2143 * t1121 + 0.2e1 * t1357 * t560 + 0.2e1 * t555 * (-0.5000000000e0 * t380 * t1314 + 0.1e1 * t175 * t1323 + 0.5000000000e0 * t235 * t1335 - 0.1e1 * t22 * t1344)) + t674 * (0.2e1 * t2164 * t1121 - 0.2e1 * t1285 * t547 - 0.2e1 * t513 * t1344 + 0.2e1 * t2172 * t1121 - 0.2e1 * t1332 * t536 - 0.2e1 * t542 * t1323 + 0.2e1 * t2181 * t1121 - 0.2e1 * t1357 * t529 - 0.2e1 * t555 * t1311));
  energyGradient[3] = -0.2500000000e0 * t2076 * t232 * ((t1460 * t187 + t70 * t1546 + t1565 * t208 + t198 * t1583 + t1593 * t224 + t214 * t1611) * t481 - t485 * (t1558 * t187 + t193 * t1546 + t1457 * t208 + t67 * t1583 + t1444 * t224 + t59 * t1611)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t1468 + 0.2e1 * t1632 * t539 + 0.2e1 * t513 * (-0.5000000000e0 * t235 * t1635 + 0.1e1 * t22 * t1658 + 0.5000000000e0 * t291 * t1661 - 0.1e1 * t62 * t1670) - 0.2e1 * t2123 * t1468 + 0.2e1 * t1679 * t552 + 0.2e1 * t542 * (-0.5000000000e0 * t291 * t1682 + 0.1e1 * t62 * t1691 + 0.5000000000e0 * t380 * t1635 - t639 - 0.1e1 * t175 * t1658) - 0.2e1 * t2143 * t1468 + 0.2e1 * t1704 * t560 + 0.2e1 * t555 * (-0.5000000000e0 * t380 * t1661 + t655 + 0.1e1 * t175 * t1670 + 0.5000000000e0 * t235 * t1682 - 0.1e1 * t22 * t1691)) + t674 * (0.2e1 * t2164 * t1468 - 0.2e1 * t1632 * t547 - 0.2e1 * t513 * t1691 + 0.2e1 * t2172 * t1468 - 0.2e1 * t1679 * t536 - 0.2e1 * t542 * t1670 + 0.2e1 * t2181 * t1468 - 0.2e1 * t1704 * t529 - 0.2e1 * t555 * t1658));
  energyGradient[4] = -0.2500000000e0 * t2076 * t232 * ((t1807 * t187 + t70 * t1893 + t1912 * t208 + t198 * t1930 + t1940 * t224 + t214 * t1958) * t481 - t485 * (t1905 * t187 + t193 * t1893 + t1804 * t208 + t67 * t1930 + t1791 * t224 + t59 * t1958)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t1815 + 0.2e1 * t1979 * t539 + 0.2e1 * t513 * (-0.5000000000e0 * t235 * t1982 + t639 + 0.1e1 * t22 * t2005 + 0.5000000000e0 * t291 * t2008 - 0.1e1 * t62 * t2017) - 0.2e1 * t2123 * t1815 + 0.2e1 * t2026 * t552 + 0.2e1 * t542 * (-0.5000000000e0 * t291 * t2029 + 0.1e1 * t62 * t2038 + 0.5000000000e0 * t380 * t1982 - 0.1e1 * t175 * t2005) - 0.2e1 * t2143 * t1815 + 0.2e1 * t2051 * t560 + 0.2e1 * t555 * (-0.5000000000e0 * t380 * t2008 + 0.1e1 * t175 * t2017 + 0.5000000000e0 * t235 * t2029 - t1017 - 0.1e1 * t22 * t2038)) + t674 * (0.2e1 * t2164 * t1815 - 0.2e1 * t1979 * t547 - 0.2e1 * t513 * t2038 + 0.2e1 * t2172 * t1815 - 0.2e1 * t2026 * t536 - 0.2e1 * t542 * t2017 + 0.2e1 * t2181 * t1815 - 0.2e1 * t2051 * t529 - 0.2e1 * t555 * t2005));
  energyGradient[5] = -0.2500000000e0 * t2076 * t232 * ((t187 * t2154 + t70 * t2240 + t2259 * t208 + t198 * t2277 + t2287 * t224 + t214 * t2305) * t481 - t485 * (t2252 * t187 + t193 * t2240 + t208 * t2151 + t67 * t2277 + t2138 * t224 + t59 * t2305)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t2162 + 0.2e1 * t2326 * t539 + 0.2e1 * t513 * (-0.5000000000e0 * t235 * t2329 + 0.1e1 * t22 * t2352 + 0.5000000000e0 * t291 * t2355 - t655 - 0.1e1 * t62 * t2364) - 0.2e1 * t2123 * t2162 + 0.2e1 * t2373 * t552 + 0.2e1 * t542 * (-0.5000000000e0 * t291 * t2376 + t1017 + 0.1e1 * t62 * t2385 + 0.5000000000e0 * t380 * t2329 - 0.1e1 * t175 * t2352) - 0.2e1 * t2143 * t2162 + 0.2e1 * t2398 * t560 + 0.2e1 * t555 * (-0.5000000000e0 * t380 * t2355 + 0.1e1 * t175 * t2364 + 0.5000000000e0 * t235 * t2376 - 0.1e1 * t22 * t2385)) + t674 * (0.2e1 * t2164 * t2162 - 0.2e1 * t2326 * t547 - 0.2e1 * t513 * t2385 + 0.2e1 * t2172 * t2162 - 0.2e1 * t2373 * t536 - 0.2e1 * t542 * t2364 + 0.2e1 * t2181 * t2162 - 0.2e1 * t2398 * t529 - 0.2e1 * t555 * t2352));
  energyGradient[6] = -0.2500000000e0 * t2076 * t232 * ((t70 * t2544 + t198 * t2555 + t214 * t2566) * t481 - t485 * (t193 * t2544 + t67 * t2555 + t59 * t2566)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t2461 + 0.2e1 * t2584 * t539 - 0.2e1 * t2123 * t2461 + 0.2e1 * t2590 * t552 - 0.2e1 * t2143 * t2461 + 0.2e1 * t2596 * t560) + t674 * (0.2e1 * t2164 * t2461 - 0.2e1 * t2584 * t547 + 0.2e1 * t2172 * t2461 - 0.2e1 * t2590 * t536 + 0.2e1 * t2181 * t2461 - 0.2e1 * t2596 * t529));
  energyGradient[7] = -0.2500000000e0 * t2076 * t232 * ((t70 * t2737 + t198 * t2748 + t214 * t2759) * t481 - t485 * (t193 * t2737 + t67 * t2748 + t59 * t2759)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t2649 + 0.2e1 * t2777 * t539 - 0.2e1 * t2123 * t2649 + 0.2e1 * t2783 * t552 - 0.2e1 * t2143 * t2649 + 0.2e1 * t2789 * t560) + t674 * (0.2e1 * t2164 * t2649 - 0.2e1 * t2777 * t547 + 0.2e1 * t2172 * t2649 - 0.2e1 * t2783 * t536 + 0.2e1 * t2181 * t2649 - 0.2e1 * t2789 * t529));
  energyGradient[8] = -0.2500000000e0 * t2076 * t232 * ((t70 * t2892 + t198 * t2903 + t214 * t2914) * t481 - t485 * (t193 * t2892 + t67 * t2903 + t59 * t2914)) * t499 + 0.2500000000e0 * t2100 * hL0 * (t564 * (-0.2e1 * t2102 * t2823 + 0.2e1 * t2932 * t62 * t539 - 0.2e1 * t2123 * t2823 - 0.2e1 * t2939 * t62 * t552 - 0.2e1 * t2143 * t2823 + 0.2e1 * t2946 * t560) + t674 * (0.2e1 * t2164 * t2823 - 0.2e1 * t2932 * t548 + 0.2e1 * t2172 * t2823 + 0.2e1 * t2939 * t537 + 0.2e1 * t2181 * t2823 - 0.2e1 * t2946 * t529));
  energyGradient[9] = 0.2500000000e0 * t2076 * t232 * Sig + 0.2500000000e0 * t2100 * hL0 * (t564 * (0.2e1 * t513 * (0.1e1 * t22 * t2987 - 0.1e1 * t62 * t2995) + 0.2e1 * t542 * (0.1e1 * t62 * t3006 - 0.1e1 * t175 * t2987) + 0.2e1 * t555 * (0.1e1 * t175 * t2995 - 0.1e1 * t22 * t3006)) + t674 * (-0.2e1 * t513 * t3006 - 0.2e1 * t542 * t2995 - 0.2e1 * t555 * t2987));
}
